!c99Shell v. 1.0 pre-release build #16!

Software: Apache/2.2.3 (CentOS). PHP/5.1.6 

uname -a: Linux mx-ll-110-164-51-230.static.3bb.co.th 2.6.18-194.el5PAE #1 SMP Fri Apr 2 15:37:44
EDT 2010 i686
 

uid=48(apache) gid=48(apache) groups=48(apache) 

Safe-mode: OFF (not secure)

/usr/bin/   drwxr-xr-x
Free 52.29 GB of 127.8 GB (40.92%)
Home    Back    Forward    UPDIR    Refresh    Search    Buffer    Encoder    Tools    Proc.    FTP brute    Sec.    SQL    PHP-code    Update    Feedback    Self remove    Logout    


Viewing file:     ecryptfs-rewrite-file (1.84 KB)      -rwxr-xr-x
Select action/file-type:
(+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) |
#!/bin/sh -e
#
#    ecryptfs-rewrite-file
#    Copyright (C) 2008 Canonical Ltd.
#
#    Authors: Dustin Kirkland <kirkland@canonical.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, version 2 of the License.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

error() {
	echo "[FAILED]"
	echo "ERROR: $1" 1>&2
}
j=0
OKs=0
for i in "$@"; do
	j=`expr $j + 1`
	echo -n "INFO: Rewriting [$j/$#] [$i] ... "
	if [ ! -e "$i" ] ; then
		error "File does not exists"
		continue
	fi
	if [ "$i" = "." ]; then
		echo "[EXCLUDED]" >&2
		continue
	fi
	opt=
	if [ -d "$i" -a ! -h "$i" ]; then
		# A directory, re-encrypt the filename
		temp1=`mktemp -d "$i".XXXXXXXXXX` || {
			error "Could not create tempdir"
			continue
		}
		mv -f -T "$i" "$temp1" 2>/dev/null  || {
			error "Could not rename [$i] to [$temp1]"
			rmdir "$temp1"
			continue
		}
		mv -f "$temp1" "$i" 2>/dev/null || {
			error "Could not rename [$temp1] to [$i]"
		}
	else
		# A file or symlink, re-encrypt the contents
		temp1=`mktemp "$i".XXXXXXXXXX` || {
			error "Could not create tempfile"
			continue
		}
		cp -a "$i" "$temp1" 2>/dev/null || {
			error "Could not copy [$i] to [$temp1]"
			rm -f "$temp1"
			continue
		}
		mv -f "$temp1" "$i" 2>/dev/null || {
			error "Could not rename [$temp1] to [$i]"
			continue
		}
	fi
	echo "[OK]"
	OKs=$((OKs+1))
done
echo "$OKs/$j rewrites succeeded"
[ $OKs -ne $j ] && exit 1
exit 0

:: Command execute ::

Enter:
 
Select:
 

:: Shadow's tricks :D ::

Useful Commands
 
Warning. Kernel may be alerted using higher levels
Kernel Info:

:: Preddy's tricks :D ::

Php Safe-Mode Bypass (Read Files)

File:

eg: /etc/passwd

Php Safe-Mode Bypass (List Directories):

Dir:

eg: /etc/

:: Search ::
  - regexp 

:: Upload ::
 
[ Read-Only ]

:: Make Dir ::
 
[ Read-Only ]
:: Make File ::
 
[ Read-Only ]

:: Go Dir ::
 
:: Go File ::
 

--[ c999shell v. 1.0 pre-release build #16 Modded by Shadow & Preddy | RootShell Security Group | r57 c99 shell | Generation time: 0.0058 ]--